Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Create a delivery project from a signed contract
POST
/api/v1/contracts/{id}/convert-to-project
const url = 'https://api.pitch2sale.com/api/v1/contracts/example/convert-to-project';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pitch2sale.com/api/v1/contracts/example/convert-to-project \ --header 'Authorization: Bearer <token>'Only signed or counter-signed contracts qualify. Idempotent: returns 201 with created: true the first time and 200 with the existing project afterwards.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”The project already existed
Media typeapplication/json
object
project
required
object
_id
required
string
name
required
string
status
required
string
key
additional properties
any
created
required
boolean
Example
{ "created": false}The project was created
Media typeapplication/json
object
project
required
object
_id
required
string
name
required
string
status
required
string
key
additional properties
any
created
required
boolean
Example
{ "created": true}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Feature not available on the organization plan
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}